import request from '@/utils/request'

// 查询仓库列表
export function listWarehouse(query) {
  return request({
    url: '/basicdata/area/list',
    method: 'get',
    params: query
  })
}

// 查询仓库详细
export function getWarehouse(fId) {
  return request({
    url: '/basicdata/area/' + fId,
    method: 'get'
  })
}

// 新增仓库
export function addWarehouse(data) {
  return request({
    url: '/basicdata/area',
    method: 'post',
    data: data
  })
}

// 修改仓库
export function updateWarehouse(data) {
  return request({
    url: '/basicdata/area',
    method: 'put',
    data: data
  })
}

// 仓库状态修改
export function changeWareStatus(fId, fStatus) {
  const data = {
    fId,
    fStatus
  }
  return request({
    url: '/basicdata/warehouse',
    method: 'put',
    data: data
  })
}

// 删除仓库
export function delWarehouse(fId) {
  return request({
    url: '/basicdata/area/' + fId,
    method: 'delete'
  })
}

// 导出仓库
export function exportWarehouse(query) {
  return request({
    url: '/basicdata/warehouse/export',
    method: 'get',
    params: query
  })
}

// 删除仓库
export function delCusCon(fId) {
  return request({
    url: '/basicdata/area/' + fId,
    method: 'delete'
  })
}
// 查询部门下拉树结构
export function treeselect(ancestors) {
  const query = {
    ancestors
  }
  return request({
    url: '/basicdata/warehouse/treeselect',
    method: 'get',
    params: query
  })
}

// 查询商品详情列表
export function listWarehousesss(query) {
  return request({
    url: '/basicdata/warehouse/lists',
    method: 'get',
    params: query
  })
}
